Skip to content
Start here

Patch Monitor Group

PATCH/accounts/{account_id}/load_balancers/monitor_groups/{monitor_group_id}

Apply changes to an existing monitor group, overwriting the supplied properties.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Path ParametersExpand Collapse
account_id: string

Identifier.

maxLength32
monitor_group_id: string
Body ParametersJSONExpand Collapse
id: string

The ID of the Monitor Group to use for checking the health of origins within this pool.

description: string

A short description of the monitor group

members: array of object { enabled, monitor_id, monitoring_only, 3 more }

List of monitors in this group

enabled: boolean

Whether this monitor is enabled in the group

monitor_id: string

The ID of the Monitor to use for checking the health of origins within this pool.

monitoring_only: boolean

Whether this monitor is used for monitoring only (does not affect pool health)

must_be_healthy: boolean

Whether this monitor must be healthy for the pool to be considered healthy

created_at: optional string

The timestamp of when the monitor was added to the group

formatdate-time
updated_at: optional string

The timestamp of when the monitor group member was last updated

formatdate-time
ReturnsExpand Collapse
errors: array of ResponseInfo { code, message, documentation_url, source }
code: number
minimum1000
message: string
documentation_url: optional string
source: optional object { pointer }
pointer: optional string
messages: array of ResponseInfo { code, message, documentation_url, source }
code: number
minimum1000
message: string
documentation_url: optional string
source: optional object { pointer }
pointer: optional string
result: MonitorGroup { id, description, members, 2 more }
id: string

The ID of the Monitor Group to use for checking the health of origins within this pool.

description: string

A short description of the monitor group

members: array of object { enabled, monitor_id, monitoring_only, 3 more }

List of monitors in this group

enabled: boolean

Whether this monitor is enabled in the group

monitor_id: string

The ID of the Monitor to use for checking the health of origins within this pool.

monitoring_only: boolean

Whether this monitor is used for monitoring only (does not affect pool health)

must_be_healthy: boolean

Whether this monitor must be healthy for the pool to be considered healthy

created_at: optional string

The timestamp of when the monitor was added to the group

formatdate-time
updated_at: optional string

The timestamp of when the monitor group member was last updated

formatdate-time
created_at: optional string

The timestamp of when the monitor group was created

formatdate-time
updated_at: optional string

The timestamp of when the monitor group was last updated

formatdate-time
success: true

Whether the API call was successful.

Patch Monitor Group

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/load_balancers/monitor_groups/$MONITOR_GROUP_ID \
    -X PATCH \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN" \
    -d '{
          "id": "id",
          "description": "Primary datacenter monitors",
          "members": [
            {
              "enabled": true,
              "monitor_id": "monitor_id",
              "monitoring_only": false,
              "must_be_healthy": true
            }
          ]
        }'
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "id",
    "description": "Primary datacenter monitors",
    "members": [
      {
        "enabled": true,
        "monitor_id": "monitor_id",
        "monitoring_only": false,
        "must_be_healthy": true,
        "created_at": "2014-01-01T05:20:00.12345Z",
        "updated_at": "2014-01-01T05:20:00.12345Z"
      }
    ],
    "created_at": "2014-01-01T05:20:00.12345Z",
    "updated_at": "2014-01-01T05:20:00.12345Z"
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "id",
    "description": "Primary datacenter monitors",
    "members": [
      {
        "enabled": true,
        "monitor_id": "monitor_id",
        "monitoring_only": false,
        "must_be_healthy": true,
        "created_at": "2014-01-01T05:20:00.12345Z",
        "updated_at": "2014-01-01T05:20:00.12345Z"
      }
    ],
    "created_at": "2014-01-01T05:20:00.12345Z",
    "updated_at": "2014-01-01T05:20:00.12345Z"
  },
  "success": true
}